#ifndef __colorscaletrue32_h__
#define __colorscaletrue32_h__

#include "colorscale.h"

class ColorScaleTrueColor32 : public virtual ColorScale {
public:
  ColorScaleTrueColor32(int, Visual*, int);
};

class LinearScaleTrueColor32 :
public virtual ColorScale, 
public LinearScale, 
public ColorScaleTrueColor32 {
public:
  LinearScaleTrueColor32(int, unsigned short*, unsigned char*, int, 
			 Visual*, int);
};

class LogScaleTrueColor32 :
public virtual ColorScale, 
public LogScale, 
public ColorScaleTrueColor32 {
public:
  LogScaleTrueColor32(int, unsigned short*, unsigned char*, int, Visual*, int);
};

class SquaredScaleTrueColor32 :
public virtual ColorScale, 
public SquaredScale, 
public ColorScaleTrueColor32 {
public:
  SquaredScaleTrueColor32(int, unsigned short*, unsigned char*, int, 
			  Visual*, int);
};

class SqrtScaleTrueColor32 :
public virtual ColorScale, 
public SqrtScale, 
public ColorScaleTrueColor32 {
public:
  SqrtScaleTrueColor32(int, unsigned short*, unsigned char*, int, 
		       Visual*, int);
};

class IISScaleTrueColor32 :
public virtual ColorScale, 
public IISScale, 
public ColorScaleTrueColor32 {
public:
  IISScaleTrueColor32(unsigned short*, unsigned char*, int, Visual*, int);
};

#endif
